Subject: Re: Bug in Pine 3.96

From: [email-masked] (Dj SiX)
Date: Mon, 14 Apr 1997 09:30:43 +0500

> On Sat, 12 Apr 1997, Robin S Socha wrote:
> 
> >   >The problem is that it creates this file according to my umask! :( I have
> >   >my umask set to 022
> > 
> > KeWL... Since you know how to do it, why don't you go ahead and set it to
> > .077 generally? Your .<shell>rc would seem a good place for that ;->
> 
> 	I believe you are missing the point.
> 
> 	A mail UA should have security in mind.  Thus, it should have the
> where-with-all to ensure that any of the files it creates (or programs
> called on its behalf create) have the proper access rights to provide the
> level of security one would expect from a UA.
> 

amen

> >   >, that means while I'm composing my lengthy message on the, everybody can
> >   >read the message I'm sending! This is what I thought of:
> >   >1) Write a front-end script that will set my umask to 077
> >   >   when I enter pine, and 022 when I exist.
> > 
> > A "front-end script"? Woah! Can I have one, too? (BTW, I've never thought of
> > pine as part of VR)
> 
> 	It isn't polite to make mock of a proposed work-around to a bug
> or even a preceived bug.  
> 
> 	If you like chocolate milk on your corn flakes and others made
> fun of it....how would you feel?
> 

amen

> >   >2) Hack the source, so it will set the right permission when it
> >   >   creates the file #pico12345#
> >   >I'ld probably think the second solution would be the best (if not the
> >   >first).
> >   
> > K. Hack it, make a patch, submit it --- done. What's all the fuzz about,
> > anyway? Pico sucks, almost everyone agrees on that, especially Sven "vim"
> > Guckes and Robin "Joe" Socha >:-> If you want to use pine "professionally",
> > you'll probably need another editor, anyhow. You've got emacs as your
> > alternate editor --- set it up to store the tmp files in a "secure"
> > directory...
> > 
> > AND...
> > Even if it had been a bug, submitting the report to the list first
> > doesn't seem the best option imnsho. Ever tried M(ain), B (Report Bug)?
> 
> 	So, you think all problems should simply be sent in as a bug
> report and not discussed on this list?  Don't you think that is 
> counter productive?  I'd rather hear about what others have found and
> consider a bug than to have to find them all myself.
> 
> 	Regards,
> 
> 		Ed
> 

AMEN!

I have gotten so sick of reading Mr. Socha's flames... the little useful
information contained in his postings is almost not worth the hassle of 
trying to extract it from all of the "fuzz" surrounding it!

Sincerely,

Greg Shebert
Sys Admin
Univ. of Miami Dept. of Radiology